AV1_COMP_DATA Struct Reference

Structure to hold data corresponding to an encoded frame. More...

`#include <encoder.h>`

## Data Fields

unsigned char * | cx_data
size_t | cx_data_sz
size_t | frame_size
unsigned int | lib_flags
int64_t | ts_frame_start
int64_t | ts_frame_end
int | flush
const aom_rational64_t * | timestamp_ratio
int | pop_lookahead

## Detailed Description

Structure to hold data corresponding to an encoded frame.

## Field Documentation

## cx_data

unsigned char* AV1_COMP_DATA::cx_data

Buffer to store packed bitstream data of a frame.

Referenced by av1_get_compressed_data().

## cx_data_sz

size_t AV1_COMP_DATA::cx_data_sz

Allocated size of the cx_data buffer.

Referenced by av1_get_compressed_data().

## frame_size

size_t AV1_COMP_DATA::frame_size

Size of data written in the cx_data buffer.

Referenced by av1_get_compressed_data().

## lib_flags

unsigned int AV1_COMP_DATA::lib_flags

Flags for the frame.

Referenced by av1_get_compressed_data().

## ts_frame_start

int64_t AV1_COMP_DATA::ts_frame_start

Time stamp for start of frame.

Referenced by av1_get_compressed_data().

## ts_frame_end

int64_t AV1_COMP_DATA::ts_frame_end

Time stamp for end of frame.

Referenced by av1_get_compressed_data().

## flush

int AV1_COMP_DATA::flush

Flag to indicate flush call.

Referenced by av1_get_compressed_data().

## timestamp_ratio

const aom_rational64_t* AV1_COMP_DATA::timestamp_ratio

Time base for sequence.

Referenced by av1_get_compressed_data().

## pop_lookahead

int AV1_COMP_DATA::pop_lookahead

Decide to pop the source for this frame from input buffer queue.

Referenced by av1_get_compressed_data().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h